> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users Agents



## OpenAPI

````yaml openapi-v2 GET /users/agents
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /users/agents:
    get:
      tags:
        - Users
      summary: Get users agents
      operationId: getUsersAgents
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  agents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        email:
                          type: string
                        phoneNumber:
                          type: string
                        isActive:
                          type: boolean
                        allowAllInstances:
                          type: boolean
                        allowWebchat:
                          type: boolean
                        userPermissions:
                          type: array
                          items:
                            type: object
                            properties:
                              instanceId:
                                type: string
                              permissionLevel:
                                type: string
                              instance:
                                type: object
                                properties:
                                  name:
                                    type: string
                        createdAt:
                          type: string
                          format: date-time
                example:
                  agents:
                    - id: cmncj531q000ipf01avoml8yh
                      name: Joao Pedro
                      email: joao@example.com
                      phoneNumber: ''
                      isActive: true
                      allowAllInstances: false
                      allowWebchat: true
                      userPermissions:
                        - instanceId: 54645da3-f691-405f-9131-454095230de2
                          permissionLevel: WEBCHAT | FULL
                          instance:
                            name: name of the instance
                      createdAt: '2026-03-29T23:58:50.619Z'
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````